import { FrameworkDetector, ScanContext, RouteBinding, HookBinding } from '../../types.js';

declare class NestJSDetector implements FrameworkDetector {
    readonly name = "nestjs";
    readonly language = "typescript";
    readonly filePattern: RegExp;
    detect(projectRoot: string, files: string[]): Promise<boolean>;
    extractRoutes(filePath: string, content: string, ctx: ScanContext): Promise<RouteBinding[]>;
    extractHooks(filePath: string, content: string, ctx: ScanContext): Promise<HookBinding[]>;
    private findMethodNameAfter;
}

export { NestJSDetector };
